Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/perl-class-inner: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Sat, 15 Apr 2017 02:41:11 +0300

An implementation of Java like inner classes
http://search.cpan.org/dist/Class-Inner
---
 testing/perl-class-inner/APKBUILD | 48 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)
 create mode 100644 testing/perl-class-inner/APKBUILD
diff --git a/testing/perl-class-inner/APKBUILD b/testing/perl-class-inner/APKBUILD
new file mode 100644
index 0000000000..e00a0694a3
--- /dev/null
+++ b/testing/perl-class-inner/APKBUILD
_at_@ -0,0 +1,48 @@
+# Automatically generated by apkbuild-cpan, template 2
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=perl-class-inner
+_pkgreal=Class-Inner
+pkgver=0.200001
+pkgrel=0
+pkgdesc="An implementation of Java like inner classes"
+url="http://search.cpan.org/dist/Class-Inner/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+cpancheckdepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+checkdepends="$cpancheckdepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/A/AR/ARUNBEAR/$_pkgreal-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	default_prepare || return 1
+
+	cd "$builddir"
+	export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$builddir"
+	export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+	make
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+check() {
+	cd "$builddir"
+	export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+	make test
+}
+
+sha512sums="308d688577ac9eeea14bd665269d4f32f5f9c4be9ac47460c0d4be4248c3eaabb9eb51e9a840a5e8dab58e35cf10c831b55321fdc5a2c83e04eec88ba2b8f905  Class-Inner-0.200001.tar.gz"
-- 
2.12.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Apr 15 2017 - 02:41:11 GMT